gnome-shell infinite error loop when closing app in activities overview: Object St.Button (0x55aeadeca4a0), has been already deallocated ... [workspace.js:695]

Bug #1848119 reported by Angel D. Segarra on 2019-10-15
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Fix Released
Unknown
gnome-shell (Fedora)
Confirmed
Undecided
gnome-shell (Ubuntu)
Medium
Marco Trevisan (Treviño)
Eoan
Undecided
Unassigned
Focal
Medium
Marco Trevisan (Treviño)
mutter (Ubuntu)
Status tracked in Focal
Eoan
Medium
Marco Trevisan (Treviño)
Focal
Medium
Marco Trevisan (Treviño)

Bug Description

[ Impact ]

Gnome shell fills the journal with errors as soon as a view is closed from the overview

Ubuntu 19.10 on Xorg
gnome-shell 3.34.1-1ubuntu1

[ Test case ]

1) Open terminal and watch journalct -f /usr/bin/gnome-shell
2) Open a window (i.e Files)
3) Close Files in the activities overview
4) gnome-shell spanws errors in the journal.

Oct 14 23:25:38 titan gnome-shell[9919]: Object St.Button (0x55aeadeca4a0), has been already deallocated — impossible to get any property from it. This might be caused by the object having been destroyed from C code using something such as destroy(), dispose(), or remove() vfuncs.
Oct 14 23:25:38 titan gnome-shell[9919]: == Stack trace for context 0x55aead0b5360 ==
Oct 14 23:25:38 titan gnome-shell[9919]: #0 55aeae6f3910 i resource:///org/gnome/shell/ui/workspace.js:695 (7f438c072c10 @ 15)
Oct 14 23:25:38 titan gnome-shell[9919]: #1 7ffd96c5e360 b self-hosted:975 (7f438c12dee0 @ 392)

[ Regression potential ]

Key focus might not work properly in some shell elements, in particular the focus be owned by multiple actors or by none of them.

Description of problem:
See comment https://gitlab.gnome.org/GNOME/mutter/issues/826#note_624257

@verdre suggests to include a fix for this journalctl spam in Fedora 31, so requesting a FE for evaluation.

Hmm, I'm a bit torn on this one.

Log spam isn't the worst problem ever, and the journal size is limited so it shouldn't exhaust RAM in live boots. The status of the fixes seems unclear: the gnome-shell MR seems to have been rejected in favour of the mutter one, but there's some suggestion that the mutter change is somewhat significant and may not be totally safe?

Discussed during the 2019-10-14 blocker review meeting: [0]

The decision to delay the classification of this as a Freeze Exception was made as the bug here is relatively minor, and there are two different proposed fixes whose safety is not clear. We will punt to give the GNOME devs a chance to provide more info and clarity on the proposed fix here.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-10-14/f31-blocker-review.2019-10-14-16.01.txt

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It sounds like some part of the system has crashed. To help us find the cause of the crash please follow these steps:

1. Look in /var/crash for crash files and if found run:
    ubuntu-bug YOURFILE.crash
Then tell us the ID of the newly-created bug.

2. If step 1 failed then look at https://errors.ubuntu.com/user/ID where ID is the content of file /var/lib/whoopsie/whoopsie-id on the machine. Do you find any links to recent problems on that page? If so then please send the links to us.

3. If step 2 also failed then apply the workaround from bug 994921, reboot, reproduce the crash, and retry step 1.

Please take care to avoid attaching .crash files to bugs as we are unable to process them as file attachments. It would also be a security risk for yourself.

tags: added: eoan
Changed in gnome-shell (Ubuntu):
status: New → Incomplete
Daniel van Vugt (vanvugt) wrote :

Note also that "Stack trace for context" followed by JavaScript is more often not a crash, just an error. But it might be a crash...

There's nothing in /var/crash related to this. I guess I associated stack traces with crashes, perhaps error is the appropriate description here. I've edited the title and description to reflect this.

summary: - gnome-shell infinite crash loop when closing app in activities overview
+ gnome-shell infinite error loop when closing app in activities overview
description: updated
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command only once, as it will automatically gather debugging information, in a terminal:

  apport-collect 1848119

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Daniel van Vugt (vanvugt) wrote :

Nevermind. Confirmed perfectly by upstream bug: https://gitlab.gnome.org/GNOME/gnome-shell/issues/1704

summary: - gnome-shell infinite error loop when closing app in activities overview
+ gnome-shell infinite error loop when closing app in activities overview:
+ Object St.Button (0x55aeadeca4a0), has been already deallocated ...
+ [workspace.js:695]
Changed in gnome-shell (Ubuntu):
status: Incomplete → Confirmed
Changed in gnome-shell:
status: Unknown → New
Changed in gnome-shell (Fedora):
importance: Unknown → Undecided
status: Unknown → Confirmed
Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Confirmed → In Progress
tags: added: fixed-in-3.34.2 fixed-upstream
Changed in gnome-shell (Ubuntu):
status: In Progress → Triaged
importance: Undecided → Medium
Changed in gnome-shell:
status: New → Fix Released

Discussed during the 2019-10-21 blocker review meeting: [0]

The decision to classify this bug as a "RejectedFreezeException" was made as we think it's too late to potentially introduce instability to fix log spam.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-10-21/f31-blocker-review.2019-10-21-16.00.txt

Changed in gnome-shell (Ubuntu):
status: Triaged → Won't Fix
Changed in mutter (Ubuntu):
status: New → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Undecided → Medium
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.34.1+git20191022-2ubuntu1

---------------
mutter (3.34.1+git20191022-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

mutter (3.34.1+git20191022-2) unstable; urgency=medium

  * debian/patches: Update X11 focus before display focus:
    - Fixes an infinite loop causing an hang when showing the "application is
      not responding" dialog (LP: #1845302)

mutter (3.34.1+git20191022-1) unstable; urgency=medium

  * New upstream snapshot release
    + Fix night mode in wayland session (LP: #1847551)
    + Don't emit key-focus-out events on destroyed actors (LP: #1848119)
    + Fix an headers syntax error (LP: #1841709)
    + backends: Update inhibited state for the monitor and respect that state
    + clutter-backend-x11: Don't push keymap events to clutter
    + Fix drag and drop for applications in wayland
    + Avoid X11 roundtrips on underscanning checks

mutter (3.34.1-3) unstable; urgency=medium

  * Bump meson test timeout multiplier from 4 to 6 for armel

 -- Iain Lane <email address hidden> Fri, 25 Oct 2019 18:07:31 +0100

Changed in mutter (Ubuntu):
status: In Progress → Fix Released

Hi, I added Eoan series to the bug report as it hasn't been fixed there.
(The bug had been automatically marked as Fix Released after the Focal update)

Changed in mutter (Ubuntu Eoan):
status: New → Triaged
Changed in gnome-shell (Ubuntu Eoan):
status: New → Won't Fix
Changed in mutter (Ubuntu Eoan):
importance: Undecided → Medium
Changed in mutter (Ubuntu Eoan):
status: Triaged → In Progress
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)

Hello Angel, or anyone else affected,

Accepted mutter into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mutter/3.34.1+git20191107-1ubuntu1~19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mutter (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
Joe Barnett (thejoe) wrote :

3.34.1+git20191107-1ubuntu1~19.10.1 appears to fix the issue here.

tags: added: verification-done-eoan
removed: verification-needed-eoan

3.34.1+git20191107-1ubuntu1~19.10.1

Confirmed fixed here too.

tags: added: verification-done
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.